#!/usr/bin/env node
import { execSync } from 'child_process';
import path from 'path';

function runScript(scriptName) {
  try {
    const cmd = scriptName === 'build'
      ? `node ${path.join('node_modules', 'cross-env', 'src', 'bin', 'cross-env.js')} NODE_ENV=prod ${path.join('node_modules', '.bin', 'gulp')}`
      : `${path.join('node_modules', '.bin', 'gulp')} serve`;
    const output = execSync(cmd, { stdio: 'inherit' });
    console.log(`Script "${scriptName}" completed successfully.`);
  } catch (error) {
    console.error(`Script "${scriptName}" exited with an error.`);
    process.exit(1);
  }
}

runScript('build');
runScript('start');
